% ----------- Beipielgrammatik: ----------------

  startsymbol(s(Tmp)) :- tempus(Tmp).
  startsymbol(np(Kas)) :- kasus(Kas).

  kasus(nom).       kasus(akk).
  tempus(praes).    tempus(praet).
  
  s(Tmp) --> np(nom), tv(Tmp), np(akk), {tempus(Tmp)}.
  np(Kas) --> art(Kas), a(Kas), n(Kas), {kasus(Kas)}.
  art(nom) --> ['Der'] ; [der].   
  art(akk) --> ['Den'] ; [den].
  a(nom) --> [alte] ; [junge].
  a(akk) --> [alten] ; [jungen].
  n(Kas) --> (['Mann'] ; ['Baum']), {kasus(Kas)}.
  tv(praes) --> [faellt] ; [fällt].
  tv(praet) --> [faellte] ; [fällte].

% ----------- Ende -----------------------------
